Date: Fri, 13 Feb 1998 11:29:22 +0100 (CET)
From: Geert Uytterhoeven <Geert.Uytterhoeven@cs.kuleuven.ac.be>
To: Linux/m68k <linux-m68k@lists.linux-m68k.org>
Subject: L68K: Patch for 2.1.85
Sender: owner-linux-m68k@phil.uni-sb.de


I didn't say that a 68040 always has a FPU, but that the _values_ of the
CPU_68040, FPU_68040 and MMU_68040 symbols are equal and that we may rely on
that. I enlarged the diff context to make this more clear.

--- linux-2.1.85/include/asm-m68k/setup.h.orig	Sun Feb  8 12:00:31 1998
+++ linux-2.1.85/include/asm-m68k/setup.h	Sun Feb  8 16:37:12 1998
@@ -128,13 +128,13 @@
      *  CPU, FPU and MMU types
      *
      *  Note: we may rely on the following equalities:
      *
      *      CPU_68020 == MMU_68851
      *      CPU_68030 == MMU_68030
-     *      CPU_68040 == FPU_68040 == MMU_68040 (not strictly, think of 68LC040!)
+     *      CPU_68040 == FPU_68040 == MMU_68040
      *      CPU_68060 == FPU_68060 == MMU_68060
      */
 
 #define CPUB_68020     0
 #define CPUB_68030     1
 #define CPUB_68040     2


Sorry, no more diffs yet. Last week I've been to busy with configuring an
i486SX box as a router for our student network. It runs DNS, WINS (yeikes) via
Samba... Smbclient is fun, especially in combination with procmail: now Win95
users get a WinPopup message if they have new mail.

Greetings,

						Geert

--
Geert Uytterhoeven                     Geert.Uytterhoeven@cs.kuleuven.ac.be
Wavelets, Linux/{m68k~Amiga,PPC~CHRP}  http://www.cs.kuleuven.ac.be/~geert/
Department of Computer Science -- Katholieke Universiteit Leuven -- Belgium

